> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialme.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Templates



## OpenAPI

````yaml GET /templates/get-all
openapi: 3.0.0
info:
  title: alto.dialme.at API
  description: API for building voice assistants
  version: '1.0'
  contact: {}
servers:
  - url: https://alto.dialme.at/api/altov2/public
security: []
tags: []
paths:
  /templates/get-all:
    get:
      tags:
        - template_get_all
      operationId: template_get_all
      parameters:
        - name: limit
          required: false
          in: query
          description: Total result
          schema:
            minimum: 0
            maximum: 1000
            type: number
        - name: skip
          required: false
          in: query
          description: Page index
          schema:
            minimum: 0
            maximum: 1000
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/TemplateResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Method Not Allowed
      security:
        - bearer: []
components:
  schemas:
    TemplateResponse:
      type: object
      properties:
        _id:
          type: string
          example: tp_***
        title:
          type: string
        description:
          type: string
        instruction:
          type: object
        conversational_states:
          type: object
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your key from
        [Dashboard](https://alto.dialme.at/settings/apis).

````